Subject: [PATCH 1/2] ARM: Kirkwood: ehci-orion: Add device tree binding

From: [email-masked] (Andrew Lunn)
Date: Mon, 24 Sep 2012 09:13:53 +0200

> > +Required properties:
> > +- compatible: must be "marvell,orion-ehci"
> > +- reg: physical base address of the controller and length of memory mapped
> > +  region.
> > +- interrupts: The EHCI interrupt
> > +- phy-version: Can be one of:
> > +  "NA" - Don't touch the phy, something else has already configured it.
> > +  "orion5x" - PHY setup as specified by the Orion5x Errata
> > +
> > +Example:
> > +
> > +       ehci at 50000 {
> > +               compatible = "marvell,orion-ehci";
> > +               reg = <0x50000 0x1000>;
> > +               interrupts = <19>;
> > +               phy-version = "NA";
> > +       };
> 
> This isn't an appropriate binding for phy. I know, it maps straight
> over from the platform data, but it doesn't focus on what the actual
> hardware is.
> 
> A couple of options. What probably makes most sense depending on how
> other phy bindings are moving ahead is to add a phy node under the
> ehci controller for the "orion5x" case, and have an appropriate
> compatible value there. No node means the same as "NA" in the above
> binding. Alternatively, have a phy phandle that points to the phy
> device if it sits on an i2c bus, etc.

I Olaf

Could i suggest a third option:

I just drop USB phy configuration all together.  Only mach-orion5x
needs this and nobody has shown any interest in moving mach-orion5x to
DT. So i would just hard code it to "NA".

If anybody does show interest in DT for orion5x, we can add a phy node
under ehci as a pure extension which does not affect backward
compatibility.

	Thanks
		Andrew